using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmPatrolType
    {
        public CmPatrolType()
        {
            CmPatrolHistory = new HashSet<CmPatrolHistory>();
            CmPatrolHistoryPos = new HashSet<CmPatrolHistoryPos>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int PatrolTypeId { get; set; }
        [Required]
        [StringLength(50)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmPatrolType))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("CmPatrolType")]
        public virtual ICollection<CmPatrolHistory> CmPatrolHistory { get; set; }
        [InverseProperty("CmPatrolType")]
        public virtual ICollection<CmPatrolHistoryPos> CmPatrolHistoryPos { get; set; }
    }
}
